import React from 'react';
import ReactDOM from 'react-dom';

function getPortalRootElement(portalRootElementId, callback) {
  var root = document.getElementById(portalRootElementId);

  if (root !== null) {
    callback(root);
  } else {
    if (process.env.NODE_ENV !== 'production') {
      console.warn("[FoundationHeaderPlaceholder] Unable to find portal root `#".concat(portalRootElementId, "`."));
    }
  }
}

export default function FoundationHeaderPlaceholder(_ref) {
  var Placeholder = _ref.Placeholder;
  var portalRootElementId = 'foundation-header-portal-root';
  var ref = React.useRef(document.createElement('div'));
  ref.current.className = 'foundation-header-portal-container';
  React.useEffect(function () {
    var el = ref.current;
    getPortalRootElement(portalRootElementId, function (root) {
      root.appendChild(el);
    });
    return function () {
      getPortalRootElement(portalRootElementId, function (root) {
        root.removeChild(el);
      });
    };
  }, []);
  return /*#__PURE__*/ReactDOM.createPortal( /*#__PURE__*/React.createElement(Placeholder, null), ref.current);
}
//# sourceMappingURL=FoundationHeaderPlaceholder.js.map